/*
 * seq2 -> advanced clone of unix seq
 * Copyright (C) cappa <cappa@referee.at>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

void counter(int start, int end, char *text, int fastmode, int increment, int new_line, int leadz, char *output)
{
	int i;
	char z;
	FILE* file;

	if(!output)
	{
		file = stdout;
	} else {
		file = fopen(output, "w");
	}
	
	for(i=start; i <= end; i = i + increment)
	{
		if(text)
		{
			if (leadz == 1)
			{
				fprintf(file, "%s %02d", text, i);
			} else {
				fprintf(file, "%s %d", text, i);
			}
		} else {
			if (leadz == 1)
			{
			        fprintf(file, "%02d ", i);
			} else {
				fprintf(file, "%d ", i);
			}
		}
		sleep(fastmode);
		if(new_line == 1)
		{
			fprintf(file, "\n");
		}
	}

	if(new_line != 1)
	{
		fprintf(file, "\n");
	}
}
