/*
* seq2 -> advanced clone of unix seq
* Copyright (C) cappa <cappa@referee.at>
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



void author()
{
        fprintf(stderr, "Originally written by cappa <cappa@referee.at>\n");
}

void help(char *prog)
{
        fprintf(stderr, "Help file for %s:\n\n", basename(prog));
        fprintf(stderr, "\t-s start count number (default: 1)\n");
        fprintf(stderr, "\t-e end count number (default: 10)\n");
	fprintf(stderr, "\t-i increment steps (default: 1)\n");
        fprintf(stderr, "\t-t own text for output (default: none)\n");
	fprintf(stderr, "\t-o output file (default: STDOUT)\n");
	fprintf(stderr, "\t-n turn off new line after every line (default: no) \n");	
        fprintf(stderr, "\t-f Fast Mode - After each line, this will idle for x seconds (default: 0)\n");
        fprintf(stderr, "\t-v prints version info\n");
        fprintf(stderr, "\t-h prints this\n\n");
        author();
        exit(2);
}

void version(char *prog)
{
	fprintf(stderr, "Version of %s is %s\n\n", basename(prog), VERSION);
        author();
        exit(2);
}

void none(char *prog)
{
	fprintf(stderr, "Usage:\t%s [OPTIONS]...\n", basename(prog));
	fprintf(stderr, "Try `%s -h` for more information.\n", basename(prog));
}
